Subject: Re: bug#59828: Fundamental Mode buffers fail to keep text properties

From: Eli Zaretskii <[email-masked]>
Date: Mon, 05 Dec 2022 17:40:51 +0200

> Date: Mon, 05 Dec 2022 15:06:09 +0000
> From: Heime <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> > > > Conclusion: you need to turn on font-lock in that buffer.
> > > 
> > > When I use (text-mode) or (org-mode), I do not get the problem.
> > > 
> > > (with-current-buffer (get-buffer-create bufrn)
> > > (text-mode)
> > > (insert (propertize "G"
> > > 'font-lock-face '(:background "green"
> > > :foreground "black"))))
> > 
> > 
> > Because those turn on font-lock by default.
> 
> What do you think about having fundamental-mode also turn font-lock on ?

What it does now is the result of what we think.  That's why it is called
Fundamental.

Anyway, there's no bug here, so I'm closing this.